<?php

/**
 * init.class.php
 *
 * @author Dominik Kocuj
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2 or later
 * @copyright Copyright (c) 2016-2017 kocuj.pl
 * @package kocuj_internal_lib
 */

// set namespace
namespace KocujIL\V8a\Classes\Project\Components\Backend\ReviewMessage;

// security
if ((!defined('ABSPATH')) || ((isset($_SERVER['SCRIPT_FILENAME'])) && (basename($_SERVER['SCRIPT_FILENAME']) === basename(__FILE__)))) {
	header('HTTP/1.1 404 Not Found');
	die();
}

/**
 * Review message (component initialization) class
 *
 * @access public
 */
class Init extends \KocujIL\V8a\Classes\ComponentInitObject {
	/**
	 * Required components
	 *
	 * @access protected
	 * @var array
	 */
	protected $requiredComponents = array(
		'' => array(
			\KocujIL\V8a\Enums\ProjectCategory::BACKEND => array(
				'installation-date',
				'message',
			),
		),
	);

	/**
	 * Constructor
	 *
	 * @access public
	 * @param object $projectObj \KocujIL\V8a\Classes\Project object for current project
	 * @return void
	 */
	public function __construct($projectObj) {
		// execute parent
		parent::__construct($projectObj);
		// add actions
		if ((current_user_can('manage_network')) || (current_user_can('manage_options'))) {
			$this->getComponent('actions-filters-helper')->addActionWhenNeeded('admin_head', \KocujIL\V8a\Enums\ProjectCategory::BACKEND, 'review-message', '', 'actionAdminHead', 1);
			$this->getComponent('actions-filters-helper')->addActionWhenNeeded('admin_print_footer_scripts', \KocujIL\V8a\Enums\ProjectCategory::BACKEND, 'review-message', '', 'actionPrintFooterScripts', \KocujIL\V8a\Classes\Helper::getInstance()->calculateMaxPriority('admin_print_footer_scripts'));
		}
	}
}
