/*
 * jQuery UI dialogOptions v1.0
 * @desc extending jQuery Ui Dialog - Responsive, click outside, class handling
 * @author Jason Day
 *
 * Dependencies:
 *		jQuery: http://jquery.com/
 *		jQuery UI: http://jqueryui.com/
 *		Modernizr: http://modernizr.com/
 *
 * MIT license:
 *              http://www.opensource.org/licenses/mit-license.php
 *
 * (c) Jason Day 2014
 *
 * New Options:
 *  clickOut: true          // closes dialog when clicked outside
 *  responsive: true        // fluid width & height based on viewport
 *                          // true: always responsive
 *                          // false: never responsive
 *                          // "touch": only responsive on touch device
 *  scaleH: 0.8             // responsive scale height percentage, 0.8 = 80% of viewport
 *  scaleW: 0.8             // responsive scale width percentage, 0.8 = 80% of viewport
 *  showTitleBar: true      // false: hide titlebar
 *  showCloseButton: true   // false: hide close button
 *
 * Added functionality:
 *  add & remove dialogClass to .ui-widget-overlay for scoping styles
 *	patch for: http://bugs.jqueryui.com/ticket/4671
 *	recenter dialog - ajax loaded content
 *//*
 * Some modifications: Dominik Kocuj, http://kocuj.pl/
 */(function(e){e.ui.dialog.prototype.options.clickOut=!0,e.ui.dialog.prototype.options.responsive=!0,e.ui.dialog.prototype.options.scaleH=.8,e.ui.dialog.prototype.options.scaleW=.8,e.ui.dialog.prototype.options.showTitleBar=!0,e.ui.dialog.prototype.options.showCloseButton=!0;var t=e.ui.dialog.prototype._init;e.ui.dialog.prototype._init=function(){var n=this;t.apply(this,arguments),e.ui&&e.ui.dialog&&e.ui.dialog.overlay&&(e.ui.dialog.overlay.events=e.map("focus,keydown,keypress".split(","),function(e){return e+".dialog-overlay"}).join(" "))};var n=e.ui.dialog.prototype.open;e.ui.dialog.prototype.open=function(){var t=this;n.apply(this,arguments);var r=t.element.parent().outerHeight(),i=t.element.parent().outerWidth(),s=e("html").hasClass("touch"),o=function(){if(t.options.responsive===!0||t.options.responsive==="touch"&&s){var n=t.element,o=e(window).height(),u=e(window).width(),a=n.parent().outerHeight(),f=n.parent().outerWidth(),l=Math.min(o*t.options.scaleH,r),c=Math.min(u*t.options.scaleW,i);if(r+100>o||n.hasClass("resizedH"))n.dialog("option","height",l).parent().css("max-height",l),n.addClass("resizedH");if(i+100>u||n.hasClass("resizedW"))n.dialog("option","width",c).parent().css("max-width",c),n.addClass("resizedW");if(n.hasClass("resizedH")||n.hasClass("resizedW"))n.dialog("option","position","center"),n.css("overflow","auto")}s&&n.css("-webkit-overflow-scrolling","touch")};o(),e(window).on("resize",function(){o()}),window.addEventListener&&window.addEventListener("orientationchange",function(){o()}),t.options.showTitleBar||(t.uiDialogTitlebar.css({height:0,padding:0,background:"none",border:0}),t.uiDialogTitlebar.find(".ui-dialog-title").css("display","none")),t.options.showCloseButton||t.uiDialogTitlebar.find(".ui-dialog-titlebar-close").css("display","none"),t.options.clickOut&&!t.options.modal?(e('<div id="dialog-overlay"></div>').insertBefore(t.element.parent()),e("#dialog-overlay").css({position:"fixed",top:0,right:0,bottom:0,left:0,"background-color":"transparent"}),e("#dialog-overlay").click(function(e){e.preventDefault(),e.stopPropagation(),t.close()})):t.options.clickOut&&t.options.modal&&e(".ui-widget-overlay").click(function(e){t.close()}),t.options.dialogClass&&e(".ui-widget-overlay").addClass(t.options.dialogClass)};var r=e.ui.dialog.prototype.close;e.ui.dialog.prototype.close=function(){var t=this;r.apply(this,arguments),t.options.dialogClass&&e(".ui-widget-overlay").removeClass(t.options.dialogClass),e("#dialog-overlay").length&&e("#dialog-overlay").remove()}})(jQuery);