/**
 * @file Window window
 *
 * @author Dominik Kocuj
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2 or later
 * @copyright Copyright (c) 2016-2017 kocuj.pl
 */function kocujILV8aCAllWindow(){"use strict";var e=this;e._objHelper=kocujILV8aHelper,e._objAllJsAjax=kocujILV8aAllJsAjax,e._thisFilename=document.scripts[document.scripts.length-1].src;var t=kocujILV8aAllWindowVals;t.throwErrors==="1"?e._valsThrowErrors=!0:e._valsThrowErrors=!1,e._valsPrefix=t.prefix,e._valsDialogCssUrl=t.dialogCssUrl,e._valsTextLoading=t.textLoading,e._valsTextLoadingError=t.textLoadingError}(function(){})();var kocujILV8aAllWindowType={STANDARD:0,AJAX:1,LAST:1};kocujILV8aCAllWindow.prototype={_objHelper:null,_objAllJsAjax:null,_thisFilename:"",_prj:[],_valsThrowErrors:!1,_valsPrefix:"",_valsDialogCssUrl:"",_valsTextLoading:"",_valsTextLoadingError:"",addProject:function(e){"use strict";var t=this._checkAddProject(e);if(this._prj["prj_"+t.projectId]!==undefined){this._throwError("PROJECT_ALREADY_EXISTS",t.projectId);return}this.addProjectIfNotExists(t.projectId)},addProjectIfNotExists:function(e){"use strict";var t=this;(function(n){var r=t._checkAddProject(e);if(t._prj["prj_"+r.projectId]===undefined){t._prj["prj_"+r.projectId]={timer:null,cssLoaded:!1,windowsTimers:[]};var i=n('<link id="'+t._getHTMLNameStylesheet(r.projectId)+'" rel="stylesheet" href="'+t._valsDialogCssUrl+'" type="text/css" media="all" />');i.load(function(){t._checkStylesheet(r.projectId)}),n("head").append(i),n("body").prepend('<div id="'+t._getHTMLNameDummy(r.projectId)+'" class="ui-dialog" style="display:none;"></div>'),t._checkStylesheet(r.projectId)||(t._prj["prj_"+r.projectId].timer=window.setInterval(function(){t._checkStylesheet(r.projectId)&&(window.clearInterval(t._prj["prj_"+r.projectId].timer),t._prj["prj_"+r.projectId].timer=null)},100))}t._objAllJsAjax.addProjectIfNotExists(r.projectId)})(jQuery)},getHTMLSelectorStylesheet:function(e){"use strict";return e=this._parseProjectId(e),"#"+this._getHTMLNameStylesheet(e)},getHTMLSelectorDummy:function(e){"use strict";return e=this._parseProjectId(e),"#"+this._getHTMLNameDummy(e)},getHTMLSelectorWindow:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameWindow(e,t)},getHTMLSelectorContent:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameContent(e,t)},getHTMLSelectorContentInside:function(e,t){"use strict";return e=this._parseProjectId(e),t=this._objHelper.initString(t),"#"+this._getHTMLNameContentInside(e,t)},show:function(e,t,n,r){"use strict";var i=this;(function(s){e=i._parseProjectId(e),t=i._objHelper.initString(t),n=i._objHelper.initNumeric(n);if(n>kocujILV8aAllWindowType.LAST){i._throwError("WINDOW_WRONG_TYPE");return}r=i._objHelper.initObject(r);switch(n){case kocujILV8aAllWindowType.STANDARD:if(!("content"in r)){i._throwError("WINDOW_WRONG_ATTRIBUTES");return}break;case kocujILV8aAllWindowType.AJAX:if(!("url"in r)||!("ajaxData"in r)){i._throwError("WINDOW_WRONG_ATTRIBUTES");return}}i._checkStylesheet(e)?i._showWindow(e,t,n,r):i._prj["prj_"+e].windowsTimers["win_"+t]=window.setInterval(function(){i._checkStylesheet(e)&&(window.clearInterval(i._prj["prj_"+e].windowsTimers["win_"+t]),i._prj["prj_"+e].windowsTimers["win_"+t]=null,i._showWindow(e,t,n,r))},2e3)})(jQuery)},ajaxSuccessCallback:function(e,t,n,r,i){"use strict";var s=kocujILV8aAllWindow;(function(r){n=s._objHelper.initString(n);var i=t.split("__"),o=i[i.length-1];r(s.getHTMLSelectorContentInside(e,o)).html(n)})(jQuery)},ajaxErrorCallback:function(e,t,n,r,i){"use strict";var s=kocujILV8aAllWindow;(function(n){var r=t.split("__"),i=r[r.length-1];n(s.getHTMLSelectorContentInside(e,i)).html(s._valsTextLoadingError)})(jQuery)},_getHTMLPrefix:function(e){"use strict";return this._valsPrefix+"_"+e+"__"},_getHTMLNameStylesheet:function(e){"use strict";return this._getHTMLPrefix(e)+"window_stylesheet"},_getHTMLNameDummy:function(e){"use strict";return this._getHTMLPrefix(e)+"window_dummy"},_getHTMLNameWindow:function(e,t){"use strict";return this._getHTMLPrefix(e)+"window__"+t},_getHTMLNameContent:function(e,t){"use strict";return this._getHTMLPrefix(e)+"window_content__"+t},_getHTMLNameContentInside:function(e,t){"use strict";return this._getHTMLPrefix(e)+"window_content_inside__"+t},_parseProjectId:function(e){"use strict";e=this._objHelper.initString(e);if(e===""){this._throwError("EMPTY_PROJECT_ID");return}if(this._prj["prj_"+e]===undefined){this._throwError("PROJECT_DOES_NOT_EXIST",e);return}return e},_checkAddProject:function(e){"use strict";e=this._objHelper.initString(e);if(e===""){this._throwError("EMPTY_PROJECT_ID");return}return{projectId:e}},_throwError:function(codeString,param){"use strict";codeString=this._objHelper.initString(codeString);if(codeString==="")return;param=this._objHelper.initString(param),this._valsThrowErrors&&eval("throw new kocujILV8aCException(kocujILV8aExceptionCode."+codeString+", this._thisFilename, param);")},_checkStylesheet:function(e){"use strict";if(this._prj["prj_"+e].cssLoaded)return!0;var t=this;return function(n){n(t.getHTMLSelectorDummy(e)).css("position")==="absolute"&&(t._prj["prj_"+e].cssLoaded=!0)}(jQuery),this._prj["prj_"+e].cssLoaded},_showWindow:function(e,t,n,r){"use strict";var i=this;(function(s){s(i.getHTMLSelectorWindow(e,t)).length!==0&&s(i.getHTMLSelectorWindow(e,t)).remove(),s("body").append('<div id="'+i._getHTMLNameWindow(e,t)+'" style="padding:0;"><div id="'+i._getHTMLNameContent(e,t)+'" style="height:100%;padding:0;margin:0;overflow-x:hidden;overflow-y:scroll;"><div id="'+i._getHTMLNameContentInside(e,t)+'" style="padding:10px;"></div></div></div>'),s(i.getHTMLSelectorContentInside(e,t)).html("");switch(n){case kocujILV8aAllWindowType.STANDARD:s(i.getHTMLSelectorContentInside(e,t)).html(r.content);break;case kocujILV8aAllWindowType.AJAX:s(i.getHTMLSelectorContentInside(e,t)).html(i._valsTextLoading)}"contentCss"in r&&s.each(r.contentCss,function(n,r){s(i.getHTMLSelectorContentInside(e,t)).css(n,r.split("&quot;").join('"'))}),s(i.getHTMLSelectorWindow(e,t)).dialog({width:r.width,height:r.height,title:r.title,modal:!0,draggable:!1,resizable:!1,responsive:!0,show:"fade",hide:"fade",open:function(){s(".ui-widget-overlay").hide().fadeIn()},beforeClose:function(){s(".ui-widget-overlay").remove(),s("<div />",{"class":"ui-widget-overlay"}).css({width:s(document).width(),height:s(document).height(),zIndex:1001}).appendTo("body").fadeOut(function(){s(this).remove()})}}),s(i.getHTMLSelectorWindow(e,t)).parent().find(".ui-dialog-title").css({overflow:"hidden",display:"block",height:"100%"}),n===kocujILV8aAllWindowType.AJAX&&i._objAllJsAjax.sendPost(e,"window__"+t,r.url,"text",r.ajaxData,{success:i.ajaxSuccessCallback,error:i.ajaxErrorCallback})})(jQuery)}};var kocujILV8aAllWindow=new kocujILV8aCAllWindow;